import java.util.LinkedList;
import java.util.Iterator;

public class Student {
	private String id;
	private String name;
	private LinkedList<Grade> grades;
	
	public Student(String id, String name) {
		this.id = id;
		this.name = name;
		grades = new LinkedList<Grade>();
	}
	
	public Student copy() {
		Student student = new Student(id, name);
		//student.grades = (LinkedList<Grade>) grades.clone();
		return student;
	}
	
	public String getID() {
		return id;
	}
	
	public String getName() {
		return name;
	}
	
	public void addGrade(Grade grade) {
		grades.add(grade);
		// grades.add(grade.copy());
	}
	
	public void addGrade(String assignment, int score) {
		addGrade(new Grade(assignment, score));
	}
	
	public String toString() {
		String str = this.name + " (" + this.id + ")\n";
		Iterator<Grade> iter = grades.iterator();
		while(iter.hasNext()) {
			Grade grade = iter.next();
			str = str + "\t" + grade.assignment + ": " + grade.score + "\n";
		}
		return str;
	}
}
